oasis.names.tc.dss._1_0.core.schema

## Class ProcessingDetails

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.ProcessingDetails

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T02:54:22+02:00",
                 comments="JAXB RI v2.3.7")
      public class ProcessingDetails
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ValidDetail" type="{urn:oasis:names:tc:dss:1.0:core:schema}DetailType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="IndeterminateDetail" type="{urn:oasis:names:tc:dss:1.0:core:schema}DetailType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="InvalidDetail" type="{urn:oasis:names:tc:dss:1.0:core:schema}DetailType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingDetails()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DetailType>` | `getIndeterminateDetails()` Gets the value of the indeterminateDetails property.
    `List<DetailType>` | `getInvalidDetails()` Gets the value of the invalidDetails property.
    `List<DetailType>` | `getValidDetails()` Gets the value of the validDetails property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessingDetails

          public ProcessingDetails()

  - ### Method Detail

    - #### getValidDetails

          public List<DetailType> getValidDetails()

      Gets the value of the validDetails property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the validDetails property.

      For example, to add a new item, do as follows:

              getValidDetails().add(newItem);

      Objects of the following type(s) are allowed in the list `DetailType`

    - #### getIndeterminateDetails

          public List<DetailType> getIndeterminateDetails()

      Gets the value of the indeterminateDetails property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the indeterminateDetails property.

      For example, to add a new item, do as follows:

              getIndeterminateDetails().add(newItem);

      Objects of the following type(s) are allowed in the list `DetailType`

    - #### getInvalidDetails

          public List<DetailType> getInvalidDetails()

      Gets the value of the invalidDetails property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the invalidDetails property.

      For example, to add a new item, do as follows:

              getInvalidDetails().add(newItem);

      Objects of the following type(s) are allowed in the list `DetailType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.